Skip to main content
GET
/
api
/
agents
/
{agentId}
/
calls
List calls for an agent
curl --request GET \
  --url https://api.getstrada.com/api/agents/{agentId}/calls \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.getstrada.com/api/agents/{agentId}/calls"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.getstrada.com/api/agents/{agentId}/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "calls": [
    {
      "callId": "<string>",
      "agentId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "campaignName": "<string>",
      "startedAt": "2023-11-07T05:31:56Z",
      "recordingUrl": "<string>",
      "endedAt": "2023-11-07T05:31:56Z",
      "customerNumber": "<string>",
      "endedReason": "<string>",
      "summary": "<string>",
      "analysis": {},
      "transcript": [
        {
          "message": "<string>",
          "secondsFromStart": 123,
          "time": "<string>",
          "endTime": "<string>",
          "duration": 123,
          "name": "<string>",
          "result": {},
          "toolCall": {}
        }
      ],
      "url": "<string>",
      "callVariables": {},
      "sessionVariables": {},
      "qa": {
        "overallPassed": true,
        "sentiment": "<string>",
        "rubricOutcomes": {}
      },
      "phoneNumber": "<string>",
      "campaignParentCallIds": [
        "<string>"
      ],
      "transferDestination": "<string>",
      "externalId": "<string>"
    }
  ],
  "metadata": {
    "nextPage": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API Key authentication

Path Parameters

agentId
string
required

ID of the agent to list calls for

Query Parameters

campaignNames
string[]
endedReasons
string[]
customerNumbers
string[]
createdAtGt
string<date-time>
createdAtLt
string<date-time>
call
enum<string>[]
Available options:
recordingUrl,
summary

Response

Successfully retrieved calls

calls
object[]
metadata
object